<?php

/**
 * @file
 * Default theme implementation to display a Kaltura audio using auto embed.
 *
 * Available variables:
 * - $domain: The domain of the Kaltura server.
 * - $partner_id: The partner ID of the Kaltura server user account.
 * - $subpartner_id: The sub-partner ID of the Kaltura server user account.
 * - $uiconf_id: The configuration ID of the Kaltura UI player.
 * - $entry_id: The entry ID of the Kaltura media to play.
 * - $player_id: The player ID of the div containing the player.
 * - $width: The width or max-width of the player.
 * - $height: The height or max-height of the player.
 * - $session: The KS session key.
 * - $title: The title of the file, or false if not set.
 * - $autoplay: Boolean determining whether to autoplay media.
 * - $options: The display options set in the formatter.
 *
 * Note: Make sure the div wrapper is preserved if you change this template, as
 * WYSIWYG insert relies on it.
 */
?>
<div>
  <script src="//<?php print $domain; ?>/p/<?php print $partner_id; ?>/sp/<?php print $subpartner_id; ?>/embedIframeJs/uiconf_id/<?php print $uiconf_id; ?>/partner_id/<?php print $partner_id; ?>?autoembed=true&entry_id=<?php print $entry_id; ?>&playerId=<?php print $player_id; ?>&width=<?php print $width; ?>&height=<?php print $height; ?>&flashvars[autoPlay]=<?php print $autoplay; ?>&flashvars[streamerType]=auto&flashvars[KalturaSupport.LeadWithHTML5]=true&flashvars[titleLabel.plugin]=true&flashvars[titleLabel.text]=<?php print $title; ?>&flashvars[ks]=<?php print $session; ?>"></script>
</div>
